org.bouncycastle.jce.provider

## Class PKIXCertPathValidatorSpi

- java.lang.Object
- - java.security.cert.CertPathValidatorSpi
  - - org.bouncycastle.jce.provider.PKIXCertPathValidatorSpi

    public class PKIXCertPathValidatorSpi
    extends java.security.cert.CertPathValidatorSpi

CertPathValidatorSpi implementation for X.509 Certificate validation � la RFC 3280.

### Constructor Summary

Constructors
Constructor and Description
`PKIXCertPathValidatorSpi()`

### Method Summary

Methods
`java.security.cert.CertPathValidatorResult` `engineValidate(java.security.cert.CertPath certPath, java.security.cert.CertPathParameters params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PKIXCertPathValidatorSpi

    public PKIXCertPathValidatorSpi()

### Method Detail

#### engineValidate

    public java.security.cert.CertPathValidatorResult engineValidate(java.security.cert.CertPath certPath,
                                                            java.security.cert.CertPathParameters params)
                                                              throws java.security.cert.CertPathValidatorException,
                                                                     java.security.InvalidAlgorithmParameterException

Specified by:
  `engineValidate` in class `java.security.cert.CertPathValidatorSpi`
Throws:
  `java.security.cert.CertPathValidatorException`
  `java.security.InvalidAlgorithmParameterException`